## kdelibs4support 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KDELibs4Support VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(GenerateExportHeader)
include(CMakeFindFrameworks)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network Widgets DBus Test Svg PrintSupport Designer)

find_package(KF5Completion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Crash ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DesignerPlugin ${KF_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Emoticons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5UnitConversion ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KDED ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Auth ${KF_DEP_VERSION} REQUIRED)

if(WIN32)
    find_package(KDEWin REQUIRED)
endif()

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()
set(HAVE_X11 ${X11_FOUND})
if (HAVE_X11)
  add_feature_info("X11 Session Management (libSM)" X11_SM_FOUND "Support for session management in KApplication")
  find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
  find_package(XCB REQUIRED COMPONENTS XCB)
endif ()
if (APPLE)
    cmake_find_frameworks(CoreFoundation)
endif ()

include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)

ecm_setup_version(PROJECT VARIABLE_PREFIX KDELIBS4SUPPORT
                                 VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdelibs4support_version.h"
                                 PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfigVersion.cmake"
                                 SOVERSION 5)

# Remove default warning version from KDEFrameworkCompilerSettings, too much noise
# instead avoid any deprecation warnings (to what Qt respects its own flag)
# Setting QT_DISABLE_DEPRECATED_BEFORE & KF_DISABLE_DEPRECATED_BEFORE_AND_AT as below
# defaults those DEPRECATED_WARNINGS_SINCE to the same version -> no warnings
remove_definitions(
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)
# remove definitions set by KDEFrameworkCompilerSettings which we fail to meet
remove_definitions(-DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_FOREACH)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_USE_QSTRINGBUILDER)
# TODO: use QT_USE_QSTRINGBUILDER instead of deprecated & undocumented QT_USE_FAST_OPERATOR_PLUS
add_definitions(-DQT_USE_FAST_OPERATOR_PLUS)
# ideally we would support QT_NO_KEYWORDS, but at least we can do this
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)

# QUrl
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0)

# This one won't be needed when CMake 2.8.13 is depended on.
add_definitions(
    -DKDELIBS4SUPPORT_DEPRECATED= # if KDELIBS4SUPPORT_DEPRECATED is already defined the other deprecated macros won't be defined
    -DKDELIBS4SUPPORT_DEPRECATED_NO_EXPORT=KDELIBS4SUPPORT_NO_EXPORT
    -DKDELIBS4SUPPORT_DEPRECATED_EXPORT=KDELIBS4SUPPORT_EXPORT
)

add_definitions(-DTRANSLATION_DOMAIN=\"kdelibs4support\")

add_executable(kf5-config kde-config.cpp )
ecm_mark_nongui_executable(kf5-config)

target_link_libraries(kf5-config KF5::CoreAddons KF5::I18n KF5::ConfigCore KF5::KDELibs4Support)
target_include_directories(kf5-config PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../..")

install(TARGETS kf5-config ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KDELibs4Support")

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5KDELibs4SupportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5KDELibs4SupportTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5KDELibs4SupportTargets.cmake
        NAMESPACE KF5::)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdelibs4support_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support
        COMPONENT Devel)



#
# Compatibility file
#
set(CMAKECONFIG_COMPAT_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KDE4Support")
if(BUILD_SHARED_LIBS)
    set(KDELibs4Support_LIB_TYPE SHARED)
else()
    set(KDELibs4Support_LIB_TYPE STATIC)
endif()
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5KDE4SupportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_COMPAT_INSTALL_DIR}"
)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfigVersion.cmake"
    VERSION ${KF_VERSION}
    COMPATIBILITY AnyNewerVersion
)
install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_COMPAT_INSTALL_DIR}"
    COMPONENT Devel
)



ki18n_install(po)
kdoctools_install(po)
add_subdirectory(cmake)
add_subdirectory(data)
add_subdirectory(docs)
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif ()


set (KDE_VERSION_MAJOR 4)
set (KDE_VERSION_MINOR 90)
set (KDE_VERSION_RELEASE 00)
set (KDE_VERSION "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}" )
# For git master, use this:
set (KDE_VERSION_STRING "${KDE_VERSION} (KDE Frameworks >= 20121130)")
# For a stable release, use this:
#set (KDE_VERSION_STRING "${KDE_VERSION}")

include(CreateKDELibsDependenciesFile.cmake)
set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KDELibs4)

# Used in configure_file() and install(EXPORT)
set(KDE4_TARGET_PREFIX KDE4__)

################# install files #################

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/KDELibsDependencies.cmake
               ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/kde4_cmake_uninstall.cmake.in
               ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/Win32.Manifest.in
         DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel)

# run a script before installing the exports files which deletes previously installed
# configuration specific export files KDELibs4(Library|Tools)Targets-<config>.cmake
# if the main exports file KDELibs4(Library|Tools)Targets.cmake has changed. This makes sure
# that this main file doesn't include older and different configuration specific exports files,
# which might have a different set of targets or targets with different names.
# The code for installing the exports files will soon go into a macro. Alex
install(CODE "set(EXPORT_FILES KDELibs4LibraryTargets.cmake)"
        CODE "set(EXPORT_INSTALL_DIR \"${CMAKECONFIG_INSTALL_DIR}\")"
        SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/check_installed_exports_file.cmake" )
install(EXPORT KF5KDELibs4SupportTargets
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        NAMESPACE ${KDE4_TARGET_PREFIX}
        FILE KF5KDELibs4LibraryTargets.cmake
        COMPONENT Devel)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (HAVE_X11 AND NOT X11_SM_FOUND)
  message(FATAL_ERROR "The X11 Session Management library (libSM) is required when building on X11.")
endif()

=== src/CMakeLists.txt ===
add_subdirectory(includes)
add_subdirectory(kdebugdialog)
add_subdirectory(solid-networkstatus)
add_subdirectory(l10n)
if(NOT HAVE_NEPOMUK)
   set(KIO_NO_NEPOMUK TRUE)
endif()

if(NOT Strigi_FOUND)
    set(KIO_NO_STRIGI TRUE)
else()
    include_directories(${STRIGI_INCLUDE_DIR} ${STRIGI_INCLUDE_DIRS} ${LIBSTREAMANALYZER_INCLUDE_DIRS})
    add_subdirectory( kio/dummyanalyzers )
    set(KIO_EXTRA_LIBS ${KIO_EXTRA_LIBS} ${STRIGI_STREAMANALYZER_LIBRARY} ${STRIGI_STREAMS_LIBRARY})
endif()

if(NOT KIO_NO_NEPOMUK)
    include_directories(
       ${SOPRANO_INCLUDE_DIR}
    )
endif()


find_package(OpenSSL)
set_package_properties(OpenSSL PROPERTIES DESCRIPTION "Support for secure network communications (SSL and TLS)"
                       URL "http://openssl.org"
                       TYPE RECOMMENDED
                       PURPOSE "KDE uses OpenSSL for the bulk of secure communications, including secure web browsing via HTTPS"
                      )
if(OPENSSL_FOUND)
   set(KSSL_HAVE_SSL 1)
   # on Windows include directories specified by target KDEWin and used by KF5KDELibs4Support
   # needs to be added first because they are used to override system include header.
   # This does not work if openssl include dir pointing to the standard include path would
   # be added first.
   if(NOT WIN32 OR NOT "${OPENSSL_INCLUDE_DIR}" STREQUAL "${INCLUDE_INSTALL_DIR}")
       include_directories(${OPENSSL_INCLUDE_DIR})
   endif()
endif()

add_subdirectory( kioslave )
add_subdirectory( kssl/kssl )
add_subdirectory( kssl/kcm )
add_subdirectory( kio/imageformats )

if(WIN32)
   set(libkdelibs4support_SRCS solid/networking_win.cpp
                               kdeui/kapplication_win.cpp)
else()
   set(libkdelibs4support_SRCS solid/networking_unix.cpp)
endif()


set(libkdelibs4support_SRCS
    ${libkdelibs4support_SRCS}
    kdecore/k4aboutdata.cpp
    kdecore/kcomponentdata.cpp
    kdecore/kcurrencycode.cpp
    kdecore/kdebug.cpp
    kdecore/kdebugdbusiface.cpp
    kdecore/kdeversion.cpp
    kdecore/kkernel_mac.cpp
    kdecore/kkernel_win.cpp
    kdecore/klibloader.cpp
    kdecore/klibrary.cpp
    kdecore/ktemporaryfile.cpp
    kdecore/ktempdir.cpp
    kdecore/kmd5.cpp
    kdecore/kmimetype.cpp
    kdecore/kmimetyperepository.cpp
    kdecore/ksavefile.cpp
    kdecore/ksocketfactory.cpp
    kdecore/k3socketdevice.cpp
    kdecore/k3bufferedsocket.cpp
    kdecore/k3clientsocketbase.cpp
    kdecore/k3resolver.cpp
    kdecore/k3resolvermanager.cpp
    kdecore/k3resolverworkerbase.cpp
    kdecore/k3resolverstandardworkers.cpp
    kdecore/k3reverseresolver.cpp
    kdecore/k3serversocket.cpp
    kdecore/k3socketaddress.cpp
    kdecore/k3socketbase.cpp
    kdecore/k3streamsocket.cpp
    kdecore/k3socketbuffer.cpp
    kdecore/netsupp.cpp
    kdecore/kascii.cpp
    kdecore/qtest_kde.cpp
    kdecore/kstandarddirs.cpp
    kdecore/kglobal.cpp
    kdecore/kcmdlineargs.cpp
    kdecore/kurl.cpp
    kdecore/kstringhandler_deprecated.cpp
    kdecore/kcalendarera.cpp
    kdecore/kcalendarsystem.cpp
    kdecore/kcalendarsystemcoptic.cpp
    kdecore/kcalendarsystemethiopian.cpp
    kdecore/kcalendarsystemgregorian.cpp
    kdecore/kcalendarsystemislamiccivil.cpp
    kdecore/kcalendarsystemhebrew.cpp
    kdecore/kcalendarsystemindiannational.cpp
    kdecore/kcalendarsystemjalali.cpp
    kdecore/kcalendarsystemjapanese.cpp
    kdecore/kcalendarsystemjulian.cpp
    kdecore/kcalendarsystemminguo.cpp
    kdecore/kcalendarsystemthai.cpp
    kdecore/kdatetime.cpp
    kdecore/kdatetimeformatter.cpp
    kdecore/kdatetimeparser.cpp
    kdecore/kdayperiod.cpp
    kdecore/klocalizeddate.cpp
    kdecore/ktimezone.cpp
    kdecore/ksystemtimezone.cpp
    kdecore/ktzfiletimezone.cpp
    kdecore/klocale.cpp
    kdecore/klocale_kde.cpp

    kdeui/k3icon.cpp
    kdeui/k4style.cpp
    kdeui/kaction.cpp
    kdeui/kapplication.cpp
    kdeui/kbuttongroup.cpp
    kdeui/kcolorchoosermode.cpp
    kdeui/kcolordialog.cpp
    kdeui/kcolorhelpers.cpp
    kdeui/kcolorvalueselector.cpp
    kdeui/kdeuiwidgetsproxystyle.cpp
    kdeui/kdialog.cpp
    kdeui/kdialogqueue.cpp
    kdeui/kfontcombobox.cpp
    kdeui/kfontdialog.cpp
    kdeui/khuesaturationselect.cpp
    kdeui/kpassivepopupmessagehandler.cpp
    kdeui/ksessionmanager.cpp
    kdeui/kfadewidgeteffect.cpp
    kdeui/kicon.cpp
    kdeui/kinputdialog.cpp
    kdeui/knumvalidator.cpp
    kdeui/karrowbutton.cpp
    kdeui/ksplashscreen.cpp
    kdeui/kstringvalidator.cpp
    kdeui/kdialogbuttonbox.cpp
    kdeui/kpixmapcache.cpp
    kdeui/kprogressdialog.cpp
    kdeui/kmenu.cpp
    kdeui/kmenubar.cpp
    kdeui/kshortcut.cpp
    kdeui/kstatusbar.cpp
    kdeui/ksystemtrayicon.cpp
    kdeui/ktabbar.cpp
    kdeui/ktabwidget.cpp
    kdeui/kuniqueapplication.cpp
    kdeui/khbox.cpp
    kdeui/kvbox.cpp
    kdeui/kmessagebox_queued.cpp
    kdeui/kmessageboxmessagehandler.cpp
    kdeui/kpushbutton.cpp
    kdeui/kundostack.cpp
    kdeui/krestrictedline.cpp
    kdeui/klistwidget.cpp
    kdeui/ktextbrowser.cpp
    kdeui/keditlistbox.cpp
    kdeui/knuminput.cpp
    kdeui/kglobalsettings.cpp
    kdeui/kdatetimewidget.cpp
    kdeui/kdatewidget.cpp
    kdeui/k4timezonewidget.cpp
    kdeui/kdeprintdialog.cpp
    kdeui/kprintpreview.cpp

    kio/kfilemetainfowidget.cpp
    kio/kdiskfreespace.cpp
    kio/metainfojob.cpp
    kio/kdevicelistmodel.cpp
    kio/kdevicelistitem.cpp
    kio/kfiledialog.cpp
    kssl/ksslx509v3.cpp
    kssl/kssl.cpp
    kssl/ksslutils.cpp
    kssl/ksslcertchain.cpp
    kssl/ksslcertificate.cpp
    kssl/kopenssl.cpp
    kio/kfileshare.cpp
    kio/kfileitemactionplugin.cpp
    kio/passworddialog.cpp
    kio/kdatatool.cpp
    kio/kfilemetadataconfigurationwidget.cpp
    kio/kfilemetadatawidget.cpp
    kio/kfilemetainfowidget.cpp
    kio/kmetaprops.cpp
    kio/knfotranslator.cpp
    kio/kfilemetainfo.cpp
    kio/kfilemetainfoitem.cpp
    kio/kcommentwidget.cpp
    kio/predicateproperties.cpp
    kio/kfilewriteplugin.cpp
#     kio/kpreviewprops.cpp
    kio/kscan.cpp
    kio/netaccess.cpp
    kio/kdirselectdialog.cpp
    kio/kimageio.cpp
    kio/kfiletreeview.cpp

    kparts/factory.cpp
    solid/powermanagement.cpp
    solid/networking.cpp
)

set_source_files_properties( solid/org.freedesktop.PowerManagement.xml
                             solid/org.freedesktop.PowerManagement.Inhibit.xml
                             solid/org.kde.Solid.PowerManagement.PolicyAgent.xml
                             PROPERTIES NO_NAMESPACE TRUE)

qt_add_dbus_interface(libkdelibs4support_SRCS solid/org.kde.Solid.Networking.Client.xml
                       org_kde_solid_networking_client)

qt_add_dbus_interfaces(libkdelibs4support_SRCS solid/org.freedesktop.PowerManagement.xml
                        solid/org.freedesktop.PowerManagement.Inhibit.xml
                        solid/org.kde.Solid.PowerManagement.PolicyAgent.xml)

if (NOT KIO_NO_NEPOMUK)
    set(libkdelibs4support_SRCS ${libkdelibs4support_SRCS}
        kio/kfilemetadatareader.cpp
        kio/kfilemetadatareaderprocess.cpp
        kio/kfilemetadataprovider.cpp
    )
endif ()

if (X11_FOUND)
   set(libkdelibs4support_SRCS ${libkdelibs4support_SRCS} kdeui/kxerrorhandler.cpp )
   list(APPEND libkdelibs4support_OPTIONAL_LIBS Qt5::X11Extras ${X11_LIBRARIES})
endif ()

if (WIN32)
    set(libkdelibs4support_SRCS ${libkdelibs4support_SRCS}
                            kdecore/klockfile_win.cpp
                            kdecore/kde_file_win.cpp
                            kdecore/ktimezone_win.cpp
                            kdecore/klocale_win.cpp
                            )
else()
    set(libkdelibs4support_SRCS ${libkdelibs4support_SRCS} kdecore/klockfile_unix.cpp)
endif ()

if (APPLE)
    set(libkdelibs4support_SRCS ${libkdelibs4support_SRCS}
                            kdecore/klocale_mac.cpp
                            )
    set(libkdelibs4support_OPTIONAL_LIBS ${CARBON_LIBRARY})
endif()

if (UNIX)
    set(libkdelibs4support_SRCS ${libkdelibs4support_SRCS}
                            kdecore/klocale_unix.cpp
                            )
endif()

# Configure checks for io/
include(kdecore/ConfigureChecks.cmake)
configure_file(kdecore/config-io.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-io.h)

# Configure checks for date/
configure_file(kdecore/config-date.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-date.h)

# Configure checks for localization
configure_file(kdecore/config-localization.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-localization.h)


# Configure checks for network/ but also for netsupp.*
include(ConfigureChecks.cmake)
configure_file(config-network.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-network.h )

check_function_exists(mmap HAVE_MMAP)
check_symbol_exists(posix_madvise "sys/mman.h" HAVE_MADVISE)
configure_file(config-kdelibs4support.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kdelibs4support.h )
check_include_files(sys/stat.h HAVE_SYS_STAT_H)
check_include_files(sys/time.h HAVE_SYS_TIME_H)
configure_file(kdecore/config-klockfile.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-klockfile.h)
# we use this for the kstandarddirs unit tests
get_target_property(KCONFIG_COMPILER_LOCATION KF5::kconfig_compiler LOCATION)
# Generate config-kstandarddirs.h
configure_file(config-kstandarddirs.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kstandarddirs.h )

check_cxx_compiler_flag(-fvisibility=hidden __KDE_HAVE_GCC_VISIBILITY)
if (__KDE_HAVE_GCC_VISIBILITY)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()
configure_file(kdemacros.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdemacros.h )

add_library(KF5KDELibs4Support ${libkdelibs4support_SRCS})
generate_export_header(KF5KDELibs4Support BASE_NAME KDELibs4Support EXPORT_FILE_NAME kdelibs4support_export_internal.h)
add_library(KF5::KDELibs4Support ALIAS KF5KDELibs4Support)

target_include_directories(KF5KDELibs4Support PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../../..")

set(kdelibs4support_INCLUDES
  "${CMAKE_CURRENT_SOURCE_DIR}/kdecore"
  "${CMAKE_CURRENT_SOURCE_DIR}/kdeui"
  "${CMAKE_CURRENT_SOURCE_DIR}/kio"
  "${CMAKE_CURRENT_SOURCE_DIR}/kssl"
  "${CMAKE_CURRENT_BINARY_DIR}/kssl" # ksslconfig.h
  "${CMAKE_CURRENT_SOURCE_DIR}/kparts"
  "${CMAKE_CURRENT_SOURCE_DIR}/solid"
  "${CMAKE_CURRENT_BINARY_DIR}/.." # kdelibs4support_version.h
  "${CMAKE_SOURCE_DIR}"
)
target_include_directories(KF5KDELibs4Support PUBLIC "$<BUILD_INTERFACE:${kdelibs4support_INCLUDES}>")

target_include_directories(KF5KDELibs4Support INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support>" "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KDELibs4Support/KDE>")

set(platformLinkLibraries)
if (APPLE)
    set(platformLinkLibraries "-framework CoreFoundation -framework Carbon -lresolv")
endif()
if (X11_FOUND)
    set(platformLinkLibraries ${XCB_XCB_LIBRARY})
endif()

target_link_libraries(KF5KDELibs4Support
PUBLIC
   Qt5::Widgets
   Qt5::DBus
   Qt5::PrintSupport
   KF5::CoreAddons
   KF5::Crash
   KF5::WidgetsAddons
   KF5::ConfigCore # KSharedConfig in kcomponentdata.h
   KF5::ConfigWidgets
   KF5::KIOCore
   KF5::KIOFileWidgets
   KF5::I18n
   KF5::Completion
   KF5::Notifications
   KF5::IconThemes
   KF5::WindowSystem
   KF5::GuiAddons
   KF5::UnitConversion
   KF5::TextWidgets
   KF5::Parts
   KF5::Auth
PRIVATE
   KF5::UnitConversion
   KF5::GlobalAccel
   Qt5::Svg
   Qt5::Test # for qtest_kde.cpp
   ${KIO_EXTRA_LIBS}
   ${libkdelibs4support_OPTIONAL_LIBS}
   ${platformLinkLibraries}
)

if(WIN32)
    target_link_libraries(KF5KDELibs4Support PUBLIC kdewin)
    # required by moc to generate correct slot access code from solid/networking_q.h
    set_target_properties(KF5KDELibs4Support PROPERTIES COMPILE_DEFINITIONS "Q_OS_WIN")
endif()


if(NOT KIO_NO_NEPOMUK)
    target_link_libraries(KF5KDELibs4Support PRIVATE ${KDE4_NEPOMUK_LIBRARY} nepomukquery nepomukutils)
endif()

if(NOT KIO_NO_NEPOMUK)
    add_executable(kfilemetadatareader kio/kfilemetadatareaderprocess.cpp)
    target_link_libraries(kfilemetadatareader ${KDE4_NEPOMUK_LIBRARY} nepomukutils KF5::CoreAddons KF5::I18n KF5::KDELibs4Support)

=== debian/changelog ===
kdelibs4support (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:26:21 +0000

kdelibs4support (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:07:41 +0000

kdelibs4support (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:46:16 +0000

kdelibs4support (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:15:28 +0000

kdelibs4support (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:10:31 +0000

kdelibs4support (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Sat, 27 Nov 2021 13:05:50 +0000

kdelibs4support (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:38 +0900

kdelibs4support (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:17:51 +0000

kdelibs4support (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:05:05 +0000

kdelibs4support (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:53:07 +0900

kdelibs4support (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kdelibs4support (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * Update install files.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 08:08:11 +0900

kdelibs4support (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:02 +0900

kdelibs4support (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:16:57 +0900

kdelibs4support (5.82.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Fix -dev package dependencies' versions.

 -- Norbert Preining <norbert@preining.info>  Sun, 16 May 2021 00:26:25 +0900

kdelibs4support (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:09:04 +0900

kdelibs4support (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:17 +0900

kdelibs4support (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:33 +0900

kdelibs4support (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Update symbols.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:27 +0900

=== debian/control ===
Source: kdelibs4support
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               kded5-dev (>= 5.92.0~),
               kgendesignerplugin (>= 5.92.0~),
               libintl-perl,
               libkf5completion-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5configwidgets-dev (>= 5.92.0~),
               libkf5crash-dev (>= 5.92.0~),
               libkf5dbusaddons-dev (>= 5.92.0~),
               libkf5doctools-dev (>= 5.92.0~),
               libkf5emoticons-dev (>= 5.92.0~),
               libkf5globalaccel-dev (>= 5.92.0~),
               libkf5guiaddons-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5iconthemes-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5notifications-dev (>= 5.92.0~),
               libkf5parts-dev (>= 5.92.0~),
               libkf5service-dev (>= 5.92.0~),
               libkf5textwidgets-dev (>= 5.92.0~),
               libkf5unitconversion-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libkf5windowsystem-dev (>= 5.92.0~),
               libkf5xmlgui-dev (>= 5.92.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libsm-dev,
               libssl-dev,
               liburi-perl,
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.15.2~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kdelibs4support
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdelibs4support
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdelibs4support
Rules-Requires-Root: no

Package: libkf5kdelibs4support-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains the data files used by kdelibs4support.

Package: libkf5kdelibs4support-dev
Section: libdevel
Architecture: any
Depends: kgendesignerplugin (>= 5.92.0~),
         kinit-dev (>= 5.92.0~),
         libkf5archive-dev (>= 5.92.0~),
         libkf5auth-dev (>= 5.92.0~),
         libkf5configwidgets-dev (>= 5.92.0~),
         libkf5coreaddons-dev (>= 5.92.0~),
         libkf5crash-dev (>= 5.92.0~),
         libkf5dbusaddons-dev (>= 5.92.0~),
         libkf5doctools-dev (>= 5.92.0~),
         libkf5emoticons-dev (>= 5.92.0~),
         libkf5globalaccel-dev (>= 5.92.0~),
         libkf5guiaddons-dev (>= 5.92.0~),
         libkf5iconthemes-dev (>= 5.92.0~),
         libkf5itemmodels-dev (>= 5.92.0~),
         libkf5kdelibs4support5 (= ${binary:Version}),
         libkf5kdelibs4support5-bin (= ${binary:Version}),
         libkf5notifications-dev (>= 5.92.0~),
         libkf5parts-dev (>= 5.92.0~),
         libkf5textwidgets-dev (>= 5.92.0~),
         libkf5unitconversion-dev (>= 5.92.0~),
         libkf5windowsystem-dev (>= 5.92.0~),
         libqt5svg5-dev (>= 5.15.2~),
         libqt5x11extras5-dev (>= 5.15.2~),
         libssl-dev,
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: development files for kde4support
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.
 .
 Contains development files for kde4support.
Breaks: libkf5holidays-dev (<< 1:5.54)

Package: libkf5kdelibs4support5
Architecture: any
Depends: libkf5kdelibs4support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5kdelibs4support5-bin (= ${binary:Version})
Multi-Arch: same
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.

Package: libkf5kdelibs4support5-bin
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains binaries and plugins from kdelibs4support.

## kdelibs4support 5.98.0

=== debian/changelog ===
kdelibs4support (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:31:17 +0100

kdelibs4support (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:03:30 +0100

kdelibs4support (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:29:24 +0100

kdelibs4support (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:54:52 +0100

kdelibs4support (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:18:32 +0100

kdelibs4support (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:22:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,30 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.92.0~),
-               kded5-dev (>= 5.92.0~),
-               kgendesignerplugin (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               kded5-dev (>= 5.98.0~),
+               kgendesignerplugin (>= 5.98.0~),
                libintl-perl,
-               libkf5completion-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5configwidgets-dev (>= 5.92.0~),
-               libkf5crash-dev (>= 5.92.0~),
-               libkf5dbusaddons-dev (>= 5.92.0~),
-               libkf5doctools-dev (>= 5.92.0~),
-               libkf5emoticons-dev (>= 5.92.0~),
-               libkf5globalaccel-dev (>= 5.92.0~),
-               libkf5guiaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5iconthemes-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5notifications-dev (>= 5.92.0~),
-               libkf5parts-dev (>= 5.92.0~),
-               libkf5service-dev (>= 5.92.0~),
-               libkf5textwidgets-dev (>= 5.92.0~),
-               libkf5unitconversion-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
-               libkf5windowsystem-dev (>= 5.92.0~),
-               libkf5xmlgui-dev (>= 5.92.0~),
+               libkf5completion-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5configwidgets-dev (>= 5.98.0~),
+               libkf5crash-dev (>= 5.98.0~),
+               libkf5dbusaddons-dev (>= 5.98.0~),
+               libkf5doctools-dev (>= 5.98.0~),
+               libkf5emoticons-dev (>= 5.98.0~),
+               libkf5globalaccel-dev (>= 5.98.0~),
+               libkf5guiaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5notifications-dev (>= 5.98.0~),
+               libkf5parts-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
+               libkf5textwidgets-dev (>= 5.98.0~),
+               libkf5unitconversion-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5windowsystem-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libqt5svg5-dev (>= 5.15.2~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libsm-dev,
@@ -68,27 +68,27 @@
 Package: libkf5kdelibs4support-dev
 Section: libdevel
 Architecture: any
-Depends: kgendesignerplugin (>= 5.92.0~),
-         kinit-dev (>= 5.92.0~),
-         libkf5archive-dev (>= 5.92.0~),
-         libkf5auth-dev (>= 5.92.0~),
-         libkf5configwidgets-dev (>= 5.92.0~),
-         libkf5coreaddons-dev (>= 5.92.0~),
-         libkf5crash-dev (>= 5.92.0~),
-         libkf5dbusaddons-dev (>= 5.92.0~),
-         libkf5doctools-dev (>= 5.92.0~),
-         libkf5emoticons-dev (>= 5.92.0~),
-         libkf5globalaccel-dev (>= 5.92.0~),
-         libkf5guiaddons-dev (>= 5.92.0~),
-         libkf5iconthemes-dev (>= 5.92.0~),
-         libkf5itemmodels-dev (>= 5.92.0~),
+Depends: kgendesignerplugin (>= 5.98.0~),
+         kinit-dev (>= 5.98.0~),
+         libkf5archive-dev (>= 5.98.0~),
+         libkf5auth-dev (>= 5.98.0~),
+         libkf5configwidgets-dev (>= 5.98.0~),
+         libkf5coreaddons-dev (>= 5.98.0~),
+         libkf5crash-dev (>= 5.98.0~),
+         libkf5dbusaddons-dev (>= 5.98.0~),
+         libkf5doctools-dev (>= 5.98.0~),
+         libkf5emoticons-dev (>= 5.98.0~),
+         libkf5globalaccel-dev (>= 5.98.0~),
+         libkf5guiaddons-dev (>= 5.98.0~),
+         libkf5iconthemes-dev (>= 5.98.0~),
+         libkf5itemmodels-dev (>= 5.98.0~),
          libkf5kdelibs4support5 (= ${binary:Version}),
          libkf5kdelibs4support5-bin (= ${binary:Version}),
-         libkf5notifications-dev (>= 5.92.0~),
-         libkf5parts-dev (>= 5.92.0~),
-         libkf5textwidgets-dev (>= 5.92.0~),
-         libkf5unitconversion-dev (>= 5.92.0~),
-         libkf5windowsystem-dev (>= 5.92.0~),
+         libkf5notifications-dev (>= 5.98.0~),
+         libkf5parts-dev (>= 5.98.0~),
+         libkf5textwidgets-dev (>= 5.98.0~),
+         libkf5unitconversion-dev (>= 5.98.0~),
+         libkf5windowsystem-dev (>= 5.98.0~),
          libqt5svg5-dev (>= 5.15.2~),
          libqt5x11extras5-dev (>= 5.15.2~),
          libssl-dev,
